#!/bin/sh
version='0.8';
echo 'copy lib files ...';
`mv simplefirewall.pm /usr/lib/`;
sleep 1;
echo 'copy bin file ...'
sleep 1;
`mv simplefirewall /usr/sbin/`;
echo 'copy xml files ...';
`mkdir /etc/webmin/simplefirewall/`;
`cp fw.xml /etc/webmin/simplefirewall/`;
`cp fwservices.xml /etc/webmin/simplefirewall/`;
`cp change.sh /etc/webmin/simplefirewall/`;
`cp config /etc/webmin/simplefirewall/`;
echo 'copy start script';

if [ -d /etc/rc.d/init.d ]; then
    PATHINIT="/etc/rc.d/init.d";
elif [ -d /etc/init.d ]; then
    PATHINIT="/etc/init.d";
elif [ -d /sbin/init.d ]; then
    PATHINIT="/sbin/init.d";
else
    echo "init directory Not Found";
fi

`cp sfirewall $PATHINIT`;

if [ -d /etc/rc.d/rc0.d ];then
    PATHRC="/etc/rc.d";
elif [ -d /etc/rc0.d ]; then
    PATHRC="/etc";
elif [ -d /sbin/init.d/rc0.d ]; then
    PATHRC="/sbin/init.d";
else
    echo "rc directory Not Found";
fi


if [ $PATHINIT = $PATHRC/init.d ]; then
    SINIT="../init.d/sfirewall";
else
    SINIT="$PATHINIT/sfirewall"; 
fi

`rm $PATHRC/rc2.d/???sfirewall`;
`rm $PATHRC/rc3.d/???sfirewall`;
`rm $PATHRC/rc4.d/???sfirewall`;
`rm $PATHRC/rc5.d/???sfirewall`

`ln -s $SINIT $PATHRC/rc2.d/S08sfirewall`;
`ln -s $SINIT $PATHRC/rc3.d/S08sfirewall`;
`ln -s $SINIT $PATHRC/rc4.d/S08sfirewall`;
`ln -s $SINIT $PATHRC/rc5.d/S08sfirewall`;

sleep 1;
if [ -f /etc/webmin/miniserv.conf ];then
    PATHWEBMIN=`cat /etc/webmin/miniserv.conf | grep root| cut -d '='  -f2 | grep webmin`;
    `cp program-sfirewall-$version.tar.gz $PATHWEBMIN`;
    `cd $PATHWEBMIN;tar xzf $PATHWEBMIN/program-sfirewall-$version.tar.gz`;
	`echo simplefirewall >> /etc/webmin/webmin.acl`;
    echo "THAT's ALL you can work, in WEBMIN GUI under category servers";
else
    echo "You need install manually in webmin-configuration program-sfirewall-$version.tar.gz";
fi



